problems installing on windows xp

Added by Davide Zipeto almost 9 years ago

HI all,

I am trying to install redmine on a winxp machine but I am stuck.

I followed the guide for installation, and I also issued the

gem install builder

because there were some problems with builder/xmlmarkup

now when I try to issue the command

rake db:migrate RAILS_ENV="production"

I got this error:

(in D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1)
rake aborted!
no such file to load -- active_support/core_ext/cgi/escape_skipping_slashes

and the trace :

D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/rakefile:10
(See full trace by running task with --trace)

(in D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1)
rake aborted!
no such file to load -- active_support/core_ext/cgi/escape_skipping_slashes
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `gem_original_require'
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `require'
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/activesupport/lib/active_support/core_ext/cgi.rb:1
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `gem_original_require'
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `require'
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/activesupport/lib/active_support/core_ext.rb:3
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/activesupport/lib/active_support/core_ext.rb:1:in `each'
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/activesupport/lib/active_support/core_ext.rb:1
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `gem_original_require'
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `require'
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/activesupport/lib/active_support.rb:31
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `gem_original_require'
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `require'
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/railties/lib/tasks/misc.rake:12
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/railties/lib/tasks/rails.rb:4:in `load'
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/railties/lib/tasks/rails.rb:4
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/railties/lib/tasks/rails.rb:4:in `each'
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/vendor/rails/railties/lib/tasks/rails.rb:4
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `gem_original_require'
e:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in `require'
D:/downloads/FDM/Coding/redmine-0.8.0_RC1.tar/redmine-0.8.0_RC1/rakefile:10
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2349:in `load'
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2349:in `raw_load_rakefile'
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1985:in `load_rakefile'
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in `standard_exception_handling'
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1984:in `load_rakefile'
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1969:in `run'
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in `standard_exception_handling'
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in `run'
e:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/bin/rake:31
e:/ruby/bin/rake:16:in `load'
e:/ruby/bin/rake:16

Any clue ? Thank you in advance.

Replies (1)

RE: problems installing on windows xp - Added by Davide Zipeto almost 9 years ago

Hi all,

I managed to pass the installation phase with redmine 0.7.x. I got the previous problem with 0.8.x

(1-1/1)